net.sf.jasperreports.types.date

## Class DateRangeSQLLessOrGreaterClause

- java.lang.Object
- - net.sf.jasperreports.engine.query.SQLLessOrGreaterBaseClause
  - - net.sf.jasperreports.types.date.DateRangeSQLLessOrGreaterClause

- All Implemented Interfaces:
    JRClauseFunction

      public class DateRangeSQLLessOrGreaterClause
      extends SQLLessOrGreaterBaseClause

  Version:
    $Id: DateRangeSQLLessOrGreaterClause.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static DateRangeSQLLessOrGreaterClause` | `singleton`

    - ### Fields inherited from class net.sf.jasperreports.engine.query.SQLLessOrGreaterBaseClause

      `CLAUSE_TRUISM, OPERATOR_GREATER, OPERATOR_GREATER_OR_EQUAL, OPERATOR_LESS, OPERATOR_LESS_OR_EQUAL, POSITION_CLAUSE_ID, POSITION_DB_COLUMN, POSITION_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateRangeSQLLessOrGreaterClause()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClauseFunctionParameterHandler` | `createParameterHandler(JRQueryClauseContext queryContext, java.lang.String clauseId, java.lang.String parameterName)`
    `static DateRangeSQLLessOrGreaterClause` | `instance()` Returns the singleton function instance.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.SQLLessOrGreaterBaseClause

      `apply, handleLessOrGreaterOperator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### singleton

          protected static final DateRangeSQLLessOrGreaterClause singleton

  - ### Constructor Detail

    - #### DateRangeSQLLessOrGreaterClause

          public DateRangeSQLLessOrGreaterClause()

  - ### Method Detail

    - #### instance

          public static DateRangeSQLLessOrGreaterClause instance()

      Returns the singleton function instance.
      Returns:
        the singleton function instance

    - #### createParameterHandler

          protected ClauseFunctionParameterHandler createParameterHandler(JRQueryClauseContext queryContext,
                                                              java.lang.String clauseId,
                                                              java.lang.String parameterName)

      Specified by:
        `createParameterHandler` in class `SQLLessOrGreaterBaseClause`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com